import * as $dara from '@darabonba/typescript';
import { EnableDiskEncryptionByDefaultResponseBody } from "./EnableDiskEncryptionByDefaultResponseBody";
export declare class EnableDiskEncryptionByDefaultResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: EnableDiskEncryptionByDefaultResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
